
-- DATETIME types.
CREATE TABLE DateTime_Test
(
    Col000  SERIAL NOT NULL PRIMARY KEY CONSTRAINT PK_DateTime,
    Col001  datetime year to year,
    Col002  datetime year to month,
    Col003  datetime year to day,
    Col004  datetime year to hour,
    Col005  datetime year to minute,
    Col006  datetime year to second,
    Col007  datetime year to fraction(1),
    Col008  datetime year to fraction(2),
    Col009  datetime year to fraction(3),
    Col010  datetime year to fraction(4),
    Col011  datetime year to fraction(5),
    Col012  datetime month to month,
    Col013  datetime month to day,
    Col014  datetime month to hour,
    Col015  datetime month to minute,
    Col016  datetime month to second,
    Col017  datetime month to fraction(1),
    Col018  datetime month to fraction(2),
    Col019  datetime month to fraction(3),
    Col020  datetime month to fraction(4),
    Col021  datetime month to fraction(5),
    Col022  datetime day to day,
    Col023  datetime day to hour,
    Col024  datetime day to minute,
    Col025  datetime day to second,
    Col026  datetime day to fraction(1),
    Col027  datetime day to fraction(2),
    Col028  datetime day to fraction(3),
    Col029  datetime day to fraction(4),
    Col030  datetime day to fraction(5),
    Col031  datetime hour to hour,
    Col032  datetime hour to minute,
    Col033  datetime hour to second,
    Col034  datetime hour to fraction(1),
    Col035  datetime hour to fraction(2),
    Col036  datetime hour to fraction(3),
    Col037  datetime hour to fraction(4),
    Col038  datetime hour to fraction(5),
    Col039  datetime minute to minute,
    Col040  datetime minute to second,
    Col041  datetime minute to fraction(1),
    Col042  datetime minute to fraction(2),
    Col043  datetime minute to fraction(3),
    Col044  datetime minute to fraction(4),
    Col045  datetime minute to fraction(5),
    Col046  datetime second to second,
    Col047  datetime second to fraction(1),
    Col048  datetime second to fraction(2),
    Col049  datetime second to fraction(3),
    Col050  datetime second to fraction(4),
    Col051  datetime second to fraction(5),
    Col052  datetime fraction to fraction(1),
    Col053  datetime fraction to fraction(2),
    Col054  datetime fraction to fraction(3),
    Col055  datetime fraction to fraction(4),
    Col056  datetime fraction to fraction(5),
-- 56 DATETIME types.

-- DATETIME synonyms.
    Col057  datetime year to fraction,
    Col058  datetime month to fraction,
    Col059  datetime day to fraction,
    Col060  datetime hour to fraction,
    Col061  datetime minute to fraction,
    Col062  datetime second to fraction,
    Col063  datetime fraction to fraction,
-- 7 DATETIME synonyms.
    Dummy   CHAR(1)
);

CREATE TABLE Interval_Test
(
    Col000  SERIAL NOT NULL PRIMARY KEY CONSTRAINT PK_Interval,

-- INTERVAL types based on YEAR..MONTH.
    Col001  interval year(9) to year,
    Col002  interval year(8) to year,
    Col003  interval year(7) to year,
    Col004  interval year(6) to year,
    Col005  interval year(5) to year,
    Col006  interval year(4) to year,
    Col007  interval year(3) to year,
    Col008  interval year(2) to year,
    Col009  interval year(1) to year,
    Col010  interval year(9) to month,
    Col011  interval year(8) to month,
    Col012  interval year(7) to month,
    Col013  interval year(6) to month,
    Col014  interval year(5) to month,
    Col015  interval year(4) to month,
    Col016  interval year(3) to month,
    Col017  interval year(2) to month,
    Col018  interval year(1) to month,
    Col019  interval month(9) to month,
    Col020  interval month(8) to month,
    Col021  interval month(7) to month,
    Col022  interval month(6) to month,
    Col023  interval month(5) to month,
    Col024  interval month(4) to month,
    Col025  interval month(3) to month,
    Col026  interval month(2) to month,
    Col027  interval month(1) to month,
-- 27 INTERVAL types based on YEAR..MONTH.

-- INTERVAL synonyms based on YEAR..MONTH.
    Col028  interval year to year,
    Col029  interval year to month,
    Col030  interval month to month,
-- 3 INTERVAL synonyms based on YEAR..MONTH.

-- INTERVAL types based on DAY..FRACTION.
    Col031  interval day(9) to day,
    Col032  interval day(8) to day,
    Col033  interval day(7) to day,
    Col034  interval day(6) to day,
    Col035  interval day(5) to day,
    Col036  interval day(4) to day,
    Col037  interval day(3) to day,
    Col038  interval day(2) to day,
    Col039  interval day(1) to day,
    Col040  interval day(9) to hour,
    Col041  interval day(8) to hour,
    Col042  interval day(7) to hour,
    Col043  interval day(6) to hour,
    Col044  interval day(5) to hour,
    Col045  interval day(4) to hour,
    Col046  interval day(3) to hour,
    Col047  interval day(2) to hour,
    Col048  interval day(1) to hour,
    Col049  interval day(9) to minute,
    Col050  interval day(8) to minute,
    Col051  interval day(7) to minute,
    Col052  interval day(6) to minute,
    Col053  interval day(5) to minute,
    Col054  interval day(4) to minute,
    Col055  interval day(3) to minute,
    Col056  interval day(2) to minute,
    Col057  interval day(1) to minute,
    Col058  interval day(9) to second,
    Col059  interval day(8) to second,
    Col060  interval day(7) to second,
    Col061  interval day(6) to second,
    Col062  interval day(5) to second,
    Col063  interval day(4) to second,
    Col064  interval day(3) to second,
    Col065  interval day(2) to second,
    Col066  interval day(1) to second,
    Col067  interval day(9) to fraction(1),
    Col068  interval day(8) to fraction(1),
    Col069  interval day(7) to fraction(1),
    Col070  interval day(6) to fraction(1),
    Col071  interval day(5) to fraction(1),
    Col072  interval day(4) to fraction(1),
    Col073  interval day(3) to fraction(1),
    Col074  interval day(2) to fraction(1),
    Col075  interval day(1) to fraction(1),
    Col076  interval day(9) to fraction(2),
    Col077  interval day(8) to fraction(2),
    Col078  interval day(7) to fraction(2),
    Col079  interval day(6) to fraction(2),
    Col080  interval day(5) to fraction(2),
    Col081  interval day(4) to fraction(2),
    Col082  interval day(3) to fraction(2),
    Col083  interval day(2) to fraction(2),
    Col084  interval day(1) to fraction(2),
    Col085  interval day(9) to fraction(3),
    Col086  interval day(8) to fraction(3),
    Col087  interval day(7) to fraction(3),
    Col088  interval day(6) to fraction(3),
    Col089  interval day(5) to fraction(3),
    Col090  interval day(4) to fraction(3),
    Col091  interval day(3) to fraction(3),
    Col092  interval day(2) to fraction(3),
    Col093  interval day(1) to fraction(3),
    Col094  interval day(9) to fraction(4),
    Col095  interval day(8) to fraction(4),
    Col096  interval day(7) to fraction(4),
    Col097  interval day(6) to fraction(4),
    Col098  interval day(5) to fraction(4),
    Col099  interval day(4) to fraction(4),
    Col100  interval day(3) to fraction(4),
    Col101  interval day(2) to fraction(4),
    Col102  interval day(1) to fraction(4),
    Col103  interval day(9) to fraction(5),
    Col104  interval day(8) to fraction(5),
    Col105  interval day(7) to fraction(5),
    Col106  interval day(6) to fraction(5),
    Col107  interval day(5) to fraction(5),
    Col108  interval day(4) to fraction(5),
    Col109  interval day(3) to fraction(5),
    Col110  interval day(2) to fraction(5),
    Col111  interval day(1) to fraction(5),
    Col112  interval hour(9) to hour,
    Col113  interval hour(8) to hour,
    Col114  interval hour(7) to hour,
    Col115  interval hour(6) to hour,
    Col116  interval hour(5) to hour,
    Col117  interval hour(4) to hour,
    Col118  interval hour(3) to hour,
    Col119  interval hour(2) to hour,
    Col120  interval hour(1) to hour,
    Col121  interval hour(9) to minute,
    Col122  interval hour(8) to minute,
    Col123  interval hour(7) to minute,
    Col124  interval hour(6) to minute,
    Col125  interval hour(5) to minute,
    Col126  interval hour(4) to minute,
    Col127  interval hour(3) to minute,
    Col128  interval hour(2) to minute,
    Col129  interval hour(1) to minute,
    Col130  interval hour(9) to second,
    Col131  interval hour(8) to second,
    Col132  interval hour(7) to second,
    Col133  interval hour(6) to second,
    Col134  interval hour(5) to second,
    Col135  interval hour(4) to second,
    Col136  interval hour(3) to second,
    Col137  interval hour(2) to second,
    Col138  interval hour(1) to second,
    Col139  interval hour(9) to fraction(1),
    Col140  interval hour(8) to fraction(1),
    Col141  interval hour(7) to fraction(1),
    Col142  interval hour(6) to fraction(1),
    Col143  interval hour(5) to fraction(1),
    Col144  interval hour(4) to fraction(1),
    Col145  interval hour(3) to fraction(1),
    Col146  interval hour(2) to fraction(1),
    Col147  interval hour(1) to fraction(1),
    Col148  interval hour(9) to fraction(2),
    Col149  interval hour(8) to fraction(2),
    Col150  interval hour(7) to fraction(2),
    Col151  interval hour(6) to fraction(2),
    Col152  interval hour(5) to fraction(2),
    Col153  interval hour(4) to fraction(2),
    Col154  interval hour(3) to fraction(2),
    Col155  interval hour(2) to fraction(2),
    Col156  interval hour(1) to fraction(2),
    Col157  interval hour(9) to fraction(3),
    Col158  interval hour(8) to fraction(3),
    Col159  interval hour(7) to fraction(3),
    Col160  interval hour(6) to fraction(3),
    Col161  interval hour(5) to fraction(3),
    Col162  interval hour(4) to fraction(3),
    Col163  interval hour(3) to fraction(3),
    Col164  interval hour(2) to fraction(3),
    Col165  interval hour(1) to fraction(3),
    Col166  interval hour(9) to fraction(4),
    Col167  interval hour(8) to fraction(4),
    Col168  interval hour(7) to fraction(4),
    Col169  interval hour(6) to fraction(4),
    Col170  interval hour(5) to fraction(4),
    Col171  interval hour(4) to fraction(4),
    Col172  interval hour(3) to fraction(4),
    Col173  interval hour(2) to fraction(4),
    Col174  interval hour(1) to fraction(4),
    Col175  interval hour(9) to fraction(5),
    Col176  interval hour(8) to fraction(5),
    Col177  interval hour(7) to fraction(5),
    Col178  interval hour(6) to fraction(5),
    Col179  interval hour(5) to fraction(5),
    Col180  interval hour(4) to fraction(5),
    Col181  interval hour(3) to fraction(5),
    Col182  interval hour(2) to fraction(5),
    Col183  interval hour(1) to fraction(5),
    Col184  interval minute(9) to minute,
    Col185  interval minute(8) to minute,
    Col186  interval minute(7) to minute,
    Col187  interval minute(6) to minute,
    Col188  interval minute(5) to minute,
    Col189  interval minute(4) to minute,
    Col190  interval minute(3) to minute,
    Col191  interval minute(2) to minute,
    Col192  interval minute(1) to minute,
    Col193  interval minute(9) to second,
    Col194  interval minute(8) to second,
    Col195  interval minute(7) to second,
    Col196  interval minute(6) to second,
    Col197  interval minute(5) to second,
    Col198  interval minute(4) to second,
    Col199  interval minute(3) to second,
    Col200  interval minute(2) to second,
    Col201  interval minute(1) to second,
    Col202  interval minute(9) to fraction(1),
    Col203  interval minute(8) to fraction(1),
    Col204  interval minute(7) to fraction(1),
    Col205  interval minute(6) to fraction(1),
    Col206  interval minute(5) to fraction(1),
    Col207  interval minute(4) to fraction(1),
    Col208  interval minute(3) to fraction(1),
    Col209  interval minute(2) to fraction(1),
    Col210  interval minute(1) to fraction(1),
    Col211  interval minute(9) to fraction(2),
    Col212  interval minute(8) to fraction(2),
    Col213  interval minute(7) to fraction(2),
    Col214  interval minute(6) to fraction(2),
    Col215  interval minute(5) to fraction(2),
    Col216  interval minute(4) to fraction(2),
    Col217  interval minute(3) to fraction(2),
    Col218  interval minute(2) to fraction(2),
    Col219  interval minute(1) to fraction(2),
    Col220  interval minute(9) to fraction(3),
    Col221  interval minute(8) to fraction(3),
    Col222  interval minute(7) to fraction(3),
    Col223  interval minute(6) to fraction(3),
    Col224  interval minute(5) to fraction(3),
    Col225  interval minute(4) to fraction(3),
    Col226  interval minute(3) to fraction(3),
    Col227  interval minute(2) to fraction(3),
    Col228  interval minute(1) to fraction(3),
    Col229  interval minute(9) to fraction(4),
    Col230  interval minute(8) to fraction(4),
    Col231  interval minute(7) to fraction(4),
    Col232  interval minute(6) to fraction(4),
    Col233  interval minute(5) to fraction(4),
    Col234  interval minute(4) to fraction(4),
    Col235  interval minute(3) to fraction(4),
    Col236  interval minute(2) to fraction(4),
    Col237  interval minute(1) to fraction(4),
    Col238  interval minute(9) to fraction(5),
    Col239  interval minute(8) to fraction(5),
    Col240  interval minute(7) to fraction(5),
    Col241  interval minute(6) to fraction(5),
    Col242  interval minute(5) to fraction(5),
    Col243  interval minute(4) to fraction(5),
    Col244  interval minute(3) to fraction(5),
    Col245  interval minute(2) to fraction(5),
    Col246  interval minute(1) to fraction(5),
    Col247  interval second(9) to second,
    Col248  interval second(8) to second,
    Col249  interval second(7) to second,
    Col250  interval second(6) to second,
    Col251  interval second(5) to second,
    Col252  interval second(4) to second,
    Col253  interval second(3) to second,
    Col254  interval second(2) to second,
    Col255  interval second(1) to second,
    Col256  interval second(9) to fraction(1),
    Col257  interval second(8) to fraction(1),
    Col258  interval second(7) to fraction(1),
    Col259  interval second(6) to fraction(1),
    Col260  interval second(5) to fraction(1),
    Col261  interval second(4) to fraction(1),
    Col262  interval second(3) to fraction(1),
    Col263  interval second(2) to fraction(1),
    Col264  interval second(1) to fraction(1),
    Col265  interval second(9) to fraction(2),
    Col266  interval second(8) to fraction(2),
    Col267  interval second(7) to fraction(2),
    Col268  interval second(6) to fraction(2),
    Col269  interval second(5) to fraction(2),
    Col270  interval second(4) to fraction(2),
    Col271  interval second(3) to fraction(2),
    Col272  interval second(2) to fraction(2),
    Col273  interval second(1) to fraction(2),
    Col274  interval second(9) to fraction(3),
    Col275  interval second(8) to fraction(3),
    Col276  interval second(7) to fraction(3),
    Col277  interval second(6) to fraction(3),
    Col278  interval second(5) to fraction(3),
    Col279  interval second(4) to fraction(3),
    Col280  interval second(3) to fraction(3),
    Col281  interval second(2) to fraction(3),
    Col282  interval second(1) to fraction(3),
    Col283  interval second(9) to fraction(4),
    Col284  interval second(8) to fraction(4),
    Col285  interval second(7) to fraction(4),
    Col286  interval second(6) to fraction(4),
    Col287  interval second(5) to fraction(4),
    Col288  interval second(4) to fraction(4),
    Col289  interval second(3) to fraction(4),
    Col290  interval second(2) to fraction(4),
    Col291  interval second(1) to fraction(4),
    Col292  interval second(9) to fraction(5),
    Col293  interval second(8) to fraction(5),
    Col294  interval second(7) to fraction(5),
    Col295  interval second(6) to fraction(5),
    Col296  interval second(5) to fraction(5),
    Col297  interval second(4) to fraction(5),
    Col298  interval second(3) to fraction(5),
    Col299  interval second(2) to fraction(5),
    Col300  interval second(1) to fraction(5),
    Col301  interval fraction to fraction(1),
    Col302  interval fraction to fraction(2),
    Col303  interval fraction to fraction(3),
    Col304  interval fraction to fraction(4),
    Col305  interval fraction to fraction(5),
-- 275 INTERVAL types based on DAY..FRACTION.

-- INTERVAL synonyms based on DAY..FRACTION.
    Col306  interval day to day,
    Col307  interval day to hour,
    Col308  interval day to minute,
    Col309  interval day to second,
    Col310  interval day to fraction(1),
    Col311  interval day to fraction(2),
    Col312  interval day to fraction(3),
    Col313  interval day to fraction(4),
    Col314  interval day to fraction(5),
    Col315  interval hour to hour,
    Col316  interval hour to minute,
    Col317  interval hour to second,
    Col318  interval hour to fraction(1),
    Col319  interval hour to fraction(2),
    Col320  interval hour to fraction(3),
    Col321  interval hour to fraction(4),
    Col322  interval hour to fraction(5),
    Col323  interval minute to minute,
    Col324  interval minute to second,
    Col325  interval minute to fraction(1),
    Col326  interval minute to fraction(2),
    Col327  interval minute to fraction(3),
    Col328  interval minute to fraction(4),
    Col329  interval minute to fraction(5),
    Col330  interval second to second,
    Col331  interval second to fraction(1),
    Col332  interval second to fraction(2),
    Col333  interval second to fraction(3),
    Col334  interval second to fraction(4),
    Col335  interval second to fraction(5),
    Col336  interval day to fraction,
    Col337  interval hour to fraction,
    Col338  interval minute to fraction,
    Col339  interval second to fraction,
    Col340  interval fraction to fraction,
-- 35 INTERVAL synonyms based on DAY..FRACTION.
    Dummy   CHAR(1)
);

